# Uses of Enum Class
com.usatiuk.dhfsfs.service.GetattrType

Packages that use GetattrType
Package
Description
com.usatiuk.dhfsfs.service

## Uses of GetattrType in com.usatiuk.dhfsfs.service

Methods in com.usatiuk.dhfsfs.service that return GetattrType
Modifier and Type
Method
Description
`GetattrType`
GetattrRes.`type()`
Returns the value of the `type` record component.
`static GetattrType`
GetattrType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GetattrType[]`
GetattrType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.usatiuk.dhfsfs.service with parameters of type GetattrType
Modifier
Constructor
Description
``
`GetattrRes(long mtime, long ctime, long mode, GetattrType type)`
Creates an instance of a `GetattrRes` record class.